import { BaseTargetQuery, TargetQueryKind } from '../base';
export interface KeyValueDict {
    [name: string]: string;
}
export interface K8sTargetFilter {
    isApiVersion: boolean;
    apiVersion?: string;
    apiOrNone?: string;
    version?: string;
    kind?: string;
    namespace?: string;
    isAllNamespaces?: boolean;
    nameFilters?: string[];
    labelFilters?: KeyValueDict[];
}
export declare class K8sTargetQuery implements BaseTargetQuery {
    private _kind;
    _data: K8sTargetFilter;
    get kind(): TargetQueryKind;
    ApiVersion(apiVersion: string): this;
    Api(apiOrNone?: string): this;
    Version(version: string): this;
    Kind(kind: string): this;
    namespace(value: string): this;
    allNamespaces(): this;
    name(value: string): this;
    label(key: string, value: string): this;
    labels(value: KeyValueDict): this;
}
//# sourceMappingURL=k8s-target-query.d.ts.map